Available Services
Thegws CLI dynamically supports all these Google Workspace and Google Cloud APIs. Use any alias below as the <service> argument.
| Alias(es) | API Name | Version | Description |
|---|---|---|---|
drive | drive | v3 | Manage files, folders, and shared drives |
sheets | sheets | v4 | Read and write spreadsheets |
gmail | gmail | v1 | Send, read, and manage email |
calendar | calendar | v3 | Manage calendars and events |
admin, directory | admin | directory_v1 | Manage users, groups, and devices |
admin-reports, reports | admin | reports_v1 | Audit logs and usage reports |
docs | docs | v1 | Read and write Google Docs |
slides | slides | v1 | Read and write presentations |
tasks | tasks | v1 | Manage task lists and tasks |
people | people | v1 | Manage contacts and profiles |
chat | chat | v1 | Manage Chat spaces and messages |
vault | vault | v1 | Manage eDiscovery holds and exports |
groupssettings | groupssettings | v1 | Manage Google Groups settings |
reseller | reseller | v1 | Manage Workspace subscriptions |
licensing | licensing | v1 | Manage product licenses |
apps-script, script | script | v1 | Manage and execute Apps Script projects |
classroom | classroom | v1 | Manage classes, rosters, and coursework |
cloudidentity | cloudidentity | v1 | Manage identity groups and memberships |
alertcenter | alertcenter | v1beta1 | Manage Workspace security alerts |
forms | forms | v1 | Read and write Google Forms |
keep | keep | v1 | Manage Google Keep notes |
meet | meet | v2 | Manage Google Meet conferences |
events | workspaceevents | v1 | Subscribe to Google Workspace events |
modelarmor | modelarmor | v1 | Filter user-generated content for safety |
workflow, wf | workflow | v1 | Cross-service productivity workflows |
Usage
Every service listed above can be used withgws:
Examples
Discovery
Thegws CLI reads Google’s Discovery Service at runtime. If Google adds new API endpoints or methods, gws automatically picks them up without requiring an update.
Unlisted APIs
To use an API not in the table above, specify it using<api>:<version> syntax:
Introspecting Services
Use--help at any level:
Service-level help
Resource-level help
Method-level help
Schema Introspection
Inspect request/response schemas for any method:Service-Specific Pages
Detailed command examples for popular services:Drive
Files, folders, and permissions
Gmail
Email operations
Calendar
Events and scheduling
Sheets
Spreadsheet data
Docs
Document editing
Chat
Messaging and spaces
Admin
User and group management
Overview
Command structure and patterns
Helper Commands
Some services include helper commands (prefixed with+):
| Service | Helper | Description |
|---|---|---|
| Drive | +upload | Upload a file with auto-detection |
| Gmail | +send | Send a simple email |
| Gmail | +watch | Set up push notifications |
| Gmail | +triage | Query and mark messages as read |
| Calendar | +insert | Create an event with simple syntax |
| Sheets | +append | Append rows to a spreadsheet |
| Sheets | +read | Read values from a range |
| Docs | +write | Append text to a document |
| Chat | +send | Send a message to a space |